Fix ANTLR package versions 52/1852/3
authorHannu Niemistö <hannu.niemisto@semantum.fi>
Mon, 18 Jun 2018 09:12:01 +0000 (12:12 +0300)
committerHannu Niemistö <hannu.niemisto@semantum.fi>
Mon, 18 Jun 2018 09:25:27 +0000 (12:25 +0300)
gitlab #24

Change-Id: I9c9cdbe4fe3f27364f7248822942bca75a268525

bundles/org.simantics.graph.compiler/META-INF/MANIFEST.MF
releng/org.simantics.sdk.build.p2.site/pom.xml

index f1e93de0d2f096cd922b9afef5f7824ed40f180c..a578997a7390c9e368ad4cd5ee0dfee11fba2402 100644 (file)
@@ -7,10 +7,7 @@ Bundle-RequiredExecutionEnvironment: JavaSE-1.8
 Require-Bundle: org.simantics.graph;bundle-version="1.1.15";visibility:=reexport,
  org.simantics.databoard;bundle-version="0.6.6",
  freemarker;bundle-version="2.3.23",
- org.junit;bundle-version="4.12.0";resolution:=optional
+ org.junit;bundle-version="4.12.0";resolution:=optional,
+ org.antlr.runtime;bundle-version="3.5.2"
 Export-Package: org.simantics.graph.compiler,
  org.simantics.graph.compiler.internal.ltk
-Import-Package: org.antlr.runtime;version="[0.0.0,0.0.0]";bundle-version="3.5.2",
- org.antlr.runtime.debug;version="[0.0.0,0.0.0]";bundle-version="3.5.2",
- org.antlr.runtime.misc;version="[0.0.0,0.0.0]";bundle-version="3.5.2",
- org.antlr.runtime.tree;version="[0.0.0,0.0.0]";bundle-version="3.5.2"
index 4eceda52c3d2b83a777021e7234eb01d4acf14cf..190c95de58b097401adc29337eb0e0d4bd6eee3a 100644 (file)
@@ -10,6 +10,7 @@
 
     <properties>
         <itext.version.actual>2.1.7.b1</itext.version.actual>
+        <antlr.version>3.5.2</antlr.version>
         <lucene.version>4.9.0</lucene.version>
         <lucene.version.actual>4.9.0.b0003</lucene.version.actual>
         <lucene.prefix>org.apache.lucene4</lucene.prefix>
                         <configuration>
                             <artifacts>
                                 <artifact>
-                                    <id>org.antlr:antlr-runtime:3.5.2</id>
+                                    <id>org.antlr:antlr-runtime:${antlr.version}</id>
                                     <source>true</source>
+                                    <instructions>
+                                        <Bundle-SymbolicName>org.antlr.runtime</Bundle-SymbolicName>
+                                        <Bundle-Version>${antlr.version}</Bundle-Version>
+                                        <Export-Package>*;version="${antlr.version}"</Export-Package>
+                                    </instructions>                                    
                                 </artifact>
                                 <artifact>
                                     <id>org.apache.lucene:lucene-core:${lucene.version}</id>